Skip to content
Navigation

Get attributes

GET
https://api.sureshake.com/v2/reports/{id}/attributes

Path parameters

  • id
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • attributes
      array of
      object
      required
      • id
        string
        required
        format: uuid
      • reportId
        string
        required
        format: uuid
      • traitType
        string
        required
      • value
        string
        required
      • isAutoExtracted
        boolean
        required
      • createdAt
        string
        required
      • updatedAt
        string
        required
      • confidence
        optional
        number
        or null
      • source
        optional
        string
        or null
    • report
      object
      required
      • id
        string
        required
        format: uuid
      • title
        string
        or null
        required
      • description
        string
        or null
        required
      • reportHash
        string
        or null
        required
      • documentType
        string
        or null
        required
      • createdAt
        string
        required
      • entityName
        string
        or null
        required
      • imageUrl
        string
        required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close